Description

En la clase JDBCStoreProviderWriter, en el método performInsert salta la excepción:

org.postgresql.util.PSQLException: Can't infer the SQL type to use for an instance of java.util.Date. Use setObject() with an
explicit Types value to specify the type to use.

al intentar insertar una feature de tipo Date cuando en la base de datos el campo es de tipo Time.

Se soluciona poniendo las siguientes líneas en el método dalValueToJDBC de la clase JDBCHelper:

if (attributeDescriptor.getType() == DataTypes.TIME) {
    return new Time(((Date)object).getTime());
}

Associated revisions
Revision 41037 - 01/09/2014 06:06 AM - Joaquín  del Cerro Murciano

Apply patch related to ticket "Error en método dalValueToJDBC de la clase JDBCHelper" 
refs #2188

History
#1 - 01/09/2014 12:08 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed
- Has patch changed from No to Yes

#2 - 01/13/2014 09:51 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2217-devel

#3 - 01/27/2014 06:06 PM - Álvaro Anguix
- Status changed from Fixed to Closed
